PaintingArea.h File Reference
`#include <QColor>`
`#include <QImage>`
`#include <QPoint>`
`#include <QWidget>`
`#include <QList>`
`#include <QLabel>`
`#include "Image/IntelliImage.h"`
`#include "Image/IntelliRasterImage.h"`
`#include "Image/IntelliShapedImage.h"`
`#include "Tool/IntelliTool.h"`
`#include "IntelliHelper/IntelliColorPicker.h"`

Go to the source code of this file.

## Classes

struct | LayerObject
| The LayerObject struct holds all the information needed to construct a layer. More...
class | PaintingArea
| The PaintingArea class manages the methods and stores information about the current painting area, which is the currently opened project. More...